JsDoc Reference - PublicKeyReference

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class PublicKeyReference

A class that implements a public key reference to be used as CAR and CHR in card verifiable certificates (CVC).

Defined in: PublicKeyReference.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| PublicKeyReference() Create a public key reference (CAR/CHR) from binary representation or individual fields.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| equals(other) Returns true if other public key reference equals this public key reference
| getBytes() Returns the binary encoded public key reference
| getCountryCode() Returns the 2 character country code
| getHolder() Returns the certificate holder name, which is the concatenation of the country code and the holder mnemonic.
| getMnemonic() Returns the variable length holder mnemonic
| getSequenceNo() Returns the 5 character sequence number
<static> | PublicKeyReference.test() Test function
| toString() Returns the string representation of the public key reference

Class Detail
PublicKeyReference()

Create a public key reference (CAR/CHR) from binary representation or individual fields.

Use one of the following signatures:

- PublicKeyReference(ByteString value) - binary public key reference
- PublicKeyReference(String value) - string encoded public key reference
- PublicKeyReference(String countryCode, String holderMnemonic, String sequenceNumber) - string encoded public key reference

@see PublicKeyReference.test() for an example.

Method Detail
{boolean} equals(other)
Returns true if other public key reference equals this public key reference

Parameters:
other

Returns:
  true if equals

{ByteString} getBytes()
Returns the binary encoded public key reference

Returns:
  the public key reference

{String} getCountryCode()
Returns the 2 character country code

Returns:
  the country code

{String} getHolder()
Returns the certificate holder name, which is the concatenation of the country code and the holder mnemonic.

Returns:
  the holder name

{String} getMnemonic()
Returns the variable length holder mnemonic

Returns:
  the holder mnemonic

{String} getSequenceNo()
Returns the 5 character sequence number

Returns:
  the sequence number

<static> PublicKeyReference.test()
Test function

{String} toString()
Returns the string representation of the public key reference

Returns:
  the public key reference

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)